import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { CmsService } from '@spartacus/core';
import { MyAccountService } from '../../services/my-account.service';
import { HttpClient } from '@angular/common/http';
import * as i0 from "@angular/core";
export declare class InvoiceCreditComponent implements OnInit, OnDestroy {
    private myAccountService;
    cmsService: CmsService;
    cd: ChangeDetectorRef;
    private http;
    listview: boolean;
    isDesktop: boolean;
    isMobile: boolean;
    isTablet: boolean;
    showWaitCursor: BehaviorSubject<boolean>;
    loaderImage: BehaviorSubject<boolean>;
    totalResults: any;
    invoiceSortLists: any;
    currentPage: number;
    invoiceCreditList: any;
    statusLists: any;
    searchText: string;
    isClearAll: boolean;
    noSearchResults: boolean;
    sortByValue: any;
    selectedOrderType: any;
    selectedStatuses: any;
    invoiceStates: any;
    invoiceTypes: any;
    billingStatuses: any;
    selectedFilters: any;
    isInputValue: boolean;
    selectedDateRange: any;
    selectedDateKey: string;
    noInvoiceCrditData: any;
    isSearchBtnClicked: boolean;
    constructor(myAccountService: MyAccountService, cmsService: CmsService, cd: ChangeDetectorRef, http: HttpClient);
    ngOnInit(): void;
    getInvoiceCreditData(): void;
    getStatus(): void;
    getLastMonthDateRange(): void;
    getSelectedDate(event: any): void;
    getSearchDropdownData(): void;
    clearAll(): void;
    getCheckedInvoiceStatuses(data: any): boolean;
    checkInvoiceStatus(event: any, data: any, mobileData?: string): void;
    removeChips(data: any): void;
    onChange(e: any): void;
    getSearchResults(): void;
    onSearchChange(e: any): void;
    onSubmit(): void;
    sortBy(e: any): void;
    toggleGridOrListView(event: any): void;
    loadMoreRecord(): void;
    onScroll(): void;
    onResize(event: any): void;
    onPageRefresh(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InvoiceCreditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InvoiceCreditComponent, "app-invoice-credit", never, {}, {}, never, never>;
}
